Skip to navigation

Get a File

View as Markdown
Get one file metadata record using the canonical file resource.

Authentication

AuthorizationBearer

Use Bearer <api-key>.

Path parameters

fileIdstringRequired
Unique file identifier generated by BCTRL.

Headers

BCTRL-VersionenumOptional
Dated API version. Defaults to the release pinned when the API key was created.
Allowed values:
BCTRL-SpacestringOptional
Select one authorized Space by its opaque ID or unique name. Omission uses the operation default.
BCTRL-Subaccount-IdstringOptional
Optional effective subaccount context for organization API keys. Subaccount API keys are already scoped and cannot use this header to act as another subaccount.

Query parameters

runIdstringOptional

Response headers

BCTRL-Request-IdstringOptional
Current request identifier, also echoed in errors.
BCTRL-VersionstringOptional
Negotiated dated API version.
RateLimit-Limitinteger

Evaluated policy limit; zero when no finite policy was evaluated.

RateLimit-Remaininginteger

Remaining policy budget; zero when no finite policy was evaluated.

RateLimit-Resetinteger

Seconds until reset; zero when no finite policy was evaluated.

Response

OK
contentTypestring
createdAtdatetime
RFC 3339 timestamp with a UTC offset.
downloadUrlstring
filenamestring1-255 characters
idstring
Unique file identifier generated by BCTRL.
object"file"
pathstring
sizeBytesinteger>=0

Non-negative number of bytes.

sourceenum
Allowed values:
spaceIdstring
Unique space identifier generated by BCTRL.
updatedAtdatetime
RFC 3339 timestamp with a UTC offset.
canDeletebooleanOptional
expiresAtdatetimeOptional
RFC 3339 timestamp with a UTC offset.
metadataobject or nullOptional
runIdstringOptional
Unique run identifier generated by BCTRL.
runtimeIdstringOptional
Unique browser identifier generated by BCTRL.
typestringOptional1-64 characters

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error